Advisory Details

August 17th, 2015

Foxit Reader TIFF Conversion Remote Code Execution Vulnerability

ZDI-15-393
ZDI-CAN-2902

CVE ID
CVSS SCORE 5.1, (AV:N/AC:H/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Foxit
AFFECTED PRODUCTS Foxit Reader
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Foxit Reader. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the conversion of TIFF files into PDF format. By providing a malformed TIFF, an attacker can cause Foxit Reader to read a VTable from an invalid location. This could allow an attacker to execute arbitrary code under the context of the Reader process.

VENDOR RESPONSE Foxit has issued an update to correct this vulnerability. More details can be found at:
https://www.foxitsoftware.com/support/security-bulletins.php#FRD-31
DISCLOSURE TIMELINE
  • 2015-04-24 - Vulnerability reported to vendor
  • 2015-08-17 - Coordinated public release of advisory
CREDIT Steven Seeley of Source Incite
BACK TO ADVISORIES